# pydicom.dataelem.RawDataElement

class pydicom.dataelem.RawDataElement(tag: BaseTag, VR: str | None, length: int, value: bytes | None, value_tell: int, is_implicit_VR: bool, is_little_endian: bool, is_raw: bool = True)

  Container for the data from a raw (mostly) undecoded element.

  __init__()

  Methods

  `__init__`() |
  `count`(value, /) | Return number of occurrences of value.
  `index`(value[, start, stop]) | Return first index of value.

  Attributes

  `VR` | Alias for field number 1
  `is_implicit_VR` | Alias for field number 5
  `is_little_endian` | Alias for field number 6
  `is_raw` | Alias for field number 7
  `length` | Alias for field number 2
  `tag` | Alias for field number 0
  `value` | Alias for field number 3
  `value_tell` | Alias for field number 4

  VR: str | None

    Alias for field number 1

  is_implicit_VR: bool

    Alias for field number 5

  is_little_endian: bool

    Alias for field number 6

  is_raw: bool

    Alias for field number 7

  length: int

    Alias for field number 2

  tag: BaseTag

    Alias for field number 0

  value: bytes | None

    Alias for field number 3

  value_tell: int

    Alias for field number 4